# curators - Picture data long-term archive

Image Gallery. Defined by plain files.

## Problem definition:

Managing many images from different sources is a challenge. Either there is a quantity limit
by storage space or program (iPhoto), vendor lock or security issues throughout the environment.


## Goal:
Image management for multiple (competing) users. Purely file-based, non-destructive, based on standards (as much as
possible). Using

* [Exif](https://de.wikipedia.org/wiki/Exchangeable_Image_File_Format)
* [IPTC](https://de.wikipedia.org/wiki/IPTC-IIM-Standard)
* [XMP](https://de.wikipedia.org/wiki/Extensible_Metadata_Platform)



##  Principles:

* Original file is not changed.
* Meta-data are next to the image file
	* description of contents: people / faces, place, tags
	* Authorization
	* Reshaping (crop, color correction)
