extern crate curators;

use curators::database::*;
use curators::models::{Image, Tag};
use std::path::Path;

fn main() {
    dotenv::dotenv().ok();
    let conn = establish_connection();
    let results = load_images(&conn, 0, 20);
    println!("Displaying {} images", results.len());
    for img in results {
        println!("{:?} ", img);
        delete_image(&conn, img.id).ok();
    }
    let mut images = Vec::new();

    let p = Path::new(r"./BlueSquare.jpg");
    images.push(Image::try_from_path(&p).unwrap());
    let mut tags = Tag::create_tags(&p);
    let p = Path::new(r"./Canon_40D.jpg");

    images.push(Image::try_from_path(&p).unwrap());
    tags.append(&mut Tag::create_tags(&p));

    for i in images {
        println!("{:?}", &i);
        save_image(&conn, &i).ok();
    }
    for t in tags {
        println!("{:?} = {:?}", &t, save_tags(&conn, &t));
    }
}
